Summary:        Desktop session recorder
Name:           recordmydesktop
Version:        0.4.0
Release:        %mkrel 2
License:        GPLv2+
Group:          Video/Utilities
URL:            https://enselic.github.io/recordmydesktop/
Source0:        https://github.com/Enselic/recordmydesktop/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(popt)

%description
Simple command line tool that performs the basic tasks of capturing
and encoding desktop session. It produces files using only open
formats like Theora for video and Vorbis for audio, using the Ogg
container.

%prep
%autosetup -p1

%build
%configure \
    --enable-oss=no \
    --enable-jack=yes

%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_mandir}/man1/recordmydesktop.1*


%changelog
* Sun May 05 2024 daviddavid <daviddavid> 0.4.0-2.mga10
+ Revision: 2062190
- jackit-example-clients is no more available

* Mon Nov 21 2022 daviddavid <daviddavid> 0.4.0-1.mga9
+ Revision: 1909919
- new version: 0.4.0
  * https://github.com/Enselic/recordmydesktop/releases/tag/v0.4.0

* Fri Apr 01 2022 umeabot <umeabot> 0.3.8.1-17.mga9
+ Revision: 1839390
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.3.8.1-16.mga8
+ Revision: 1516460
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.3.8.1-15.mga7
+ Revision: 1300800
- Mageia 7 Mass Rebuild

* Tue Jun 12 2018 wally <wally> 0.3.8.1-14.mga7
+ Revision: 1236568
- fix build on aarch64

* Mon Feb 01 2016 umeabot <umeabot> 0.3.8.1-13.mga6
+ Revision: 930250
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.8.1-12.mga5
+ Revision: 748290
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.8.1-11.mga5
+ Revision: 688634
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 0.3.8.1-10.mga5
+ Revision: 648547
+ rebuild (emptylog)

* Fri Oct 18 2013 umeabot <umeabot> 0.3.8.1-10.mga4
+ Revision: 518001
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.3.8.1-9.mga3
+ Revision: 380267
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 0.3.8.1-8.mga3
+ Revision: 326288
- update RPM group

* Sat Mar 05 2011 ahmad <ahmad> 0.3.8.1-7.mga1
+ Revision: 65119
- imported package recordmydesktop


* Thu Jul 15 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.8.1-6mdv2011.0
+ Revision: 553677
- rebuild to fix seg faulting when recording, should fix mdv bug#60187

* Mon May 31 2010 Frank Kober <emuse@mandriva.org> 0.3.8.1-5mdv2010.1
+ Revision: 546783
- add configure.ac patch from debian fixing missing -ljack linking
- fixes debian bug #544699

* Mon Jan 11 2010 Emmanuel Blindauer <blindauer@mandriva.org> 0.3.8.1-4mdv2010.1
+ Revision: 489599
- Fix compilation with xorg headers
- Fix defautls values with libtheora-1.1 (patch from Fedora)

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.8.1-2mdv2010.1
+ Revision: 462226
- add requires on jackit-example-clients (#mdvbz55041)

* Mon Dec 15 2008 Funda Wang <fwang@mandriva.org> 0.3.8.1-1mdv2010.0
+ Revision: 314425
- update URL

* Sun Dec 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.8.1-1mdv2009.1
+ Revision: 314382
- update to new version 0.3.8.1

* Mon Nov 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.8-1mdv2009.1
+ Revision: 306387
- update to new version 0.3.8
- drop patch0, as jak support is compiled-in instead of dlopen like it was till now

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.3.7.3-4mdv2009.0
+ Revision: 260181
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.3.7.3-3mdv2009.0
+ Revision: 248324
- rebuild

* Thu Feb 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.7.3-1mdv2008.1
+ Revision: 173738
- new version

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 0.3.7.1-1mdv2008.1
+ Revision: 158532
- update to new version 0.3.7.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.7-1mdv2008.1
+ Revision: 131678
- new version
- do not package COPYING file
- new license policy

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Frederic Crozat <fcrozat@mandriva.com> 0.3.6-2mdv2008.1
+ Revision: 102080
- Patch0: fix jack dynamic library dlopening
- Enable jack support

* Sat Aug 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.6-1mdv2008.0
+ Revision: 65431
- new version
- drop patch 0 (fixed upstream)

* Thu Aug 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.5.1-3mdv2008.0
+ Revision: 64046
- add upstream patch, which should have fix bug #32307 (
  John Varouhakis)

* Wed Aug 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.5.1-2mdv2008.0
+ Revision: 57711
- rebuild

* Wed Jul 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.5.1-1mdv2008.0
+ Revision: 53330
- new version

* Sun Jul 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.5-1mdv2008.0
+ Revision: 52180
- new version

* Fri Apr 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.4-1mdv2008.0
+ Revision: 16158
- new version


* Tue Mar 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.3.1-1mdv2007.0
+ Revision: 133876
- new version

* Wed Feb 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.3-1mdv2007.1
+ Revision: 120652
- new version
- fix buildrequires
- set configure options
- add docs
- set correct bits on binary file
- Import recordmydesktop

